Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.runtime.model
Class Factory

    java.lang.Object
      org.eclipse.core.runtime.model.Factory

Deprecated. In Eclipse 3.0 the runtime was refactored and all non-essential elements removed. This class provides facilities primarily intended for tooling. As such it has been removed and no directly substitutable API provided.

public class Factory
extends Object

An object which can create plug-in related model objects (typically when parsing plug-in manifest files).

This class may be instantiated, or further subclassed.

Constructor Summary
`Factory(MultiStatus status)` Deprecated. Creates a factory which can be used to create plug-in model objects.

Method Summary
`ConfigurationElementModel` | `createConfigurationElement()` Deprecated. Returns a new configuration element model which is not initialized.
`ConfigurationPropertyModel` | `createConfigurationProperty()` Deprecated. Returns a new configuration property model which is not initialized.
`ExtensionModel` | `createExtension()` Deprecated. Returns a new extension model which is not initialized.
`ExtensionPointModel` | `createExtensionPoint()` Deprecated. Returns a new extension point model which is not initialized.
`LibraryModel` | `createLibrary()` Deprecated. Returns a new library model which is initialized to not export any of its code.
`PluginDescriptorModel` | `createPluginDescriptor()` Deprecated. Returns a new plug-in descriptor model which is not initialized.
`PluginFragmentModel` | `createPluginFragment()` Deprecated. Returns a new plug-in fragment model which is not initialized.
`PluginPrerequisiteModel` | `createPluginPrerequisite()` Deprecated. Returns a new plug-in prerequisite model which is initialized to not export its code and to not require an exact match.
`PluginRegistryModel` | `createPluginRegistry()` Deprecated. Returns a new plug-in registry model with an empty plug-in table.
`URLModel` | `createURL()` Deprecated. Returns a new URL model which is not initialized.
`void` | `error(IStatus error)` Deprecated. Handles an error state specified by the status.
`MultiStatus` | `getStatus()` Deprecated. Returns all of the status objects logged thus far by this factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Factory

    public Factory(MultiStatus status)

  Deprecated.
  Creates a factory which can be used to create plug-in model objects. Errors and warnings during parsing etc. can be logged to the given status via the `error` method.

Parameters:
  `status` - the status to which errors should be logged

Method Detail

### createConfigurationElement

    public ConfigurationElementModel createConfigurationElement()

  Deprecated.
  Returns a new configuration element model which is not initialized.

  Returns:
    a new configuration element model

### createConfigurationProperty

    public ConfigurationPropertyModel createConfigurationProperty()

  Deprecated.
  Returns a new configuration property model which is not initialized.

  Returns:
    a new configuration property model

### createExtension

    public ExtensionModel createExtension()

  Deprecated.
  Returns a new extension model which is not initialized.

  Returns:
    a new extension model

### createExtensionPoint

    public ExtensionPointModel createExtensionPoint()

  Deprecated.
  Returns a new extension point model which is not initialized.

  Returns:
    a new extension point model

### createLibrary

    public LibraryModel createLibrary()

  Deprecated.
  Returns a new library model which is initialized to not export any of its code.

  Returns:
    a new library model

### createPluginDescriptor

    public PluginDescriptorModel createPluginDescriptor()

  Deprecated.
  Returns a new plug-in descriptor model which is not initialized.

  Returns:
    a new plug-in descriptor model

### createPluginFragment

    public PluginFragmentModel createPluginFragment()

  Deprecated.
  Returns a new plug-in fragment model which is not initialized.

  Returns:
    a new plug-in fragment model

### createPluginPrerequisite

    public PluginPrerequisiteModel createPluginPrerequisite()

  Deprecated.
  Returns a new plug-in prerequisite model which is initialized to not export its code and to not require an exact match.

  Returns:
    a new plug-in prerequisite model

### createPluginRegistry

    public PluginRegistryModel createPluginRegistry()

  Deprecated.
  Returns a new plug-in registry model with an empty plug-in table.

  Returns:
    a new plug-in registry model

### createURL

    public URLModel createURL()

  Deprecated.
  Returns a new URL model which is not initialized.

  Returns:
    a new URL model

### error

    public void error(IStatus error)

  Deprecated.
  Handles an error state specified by the status. The collection of all logged status objects can be accessed using `getStatus()`.

  Parameters:
    `error` - a status detailing the error condition

### getStatus

    public MultiStatus getStatus()

  Deprecated.
  Returns all of the status objects logged thus far by this factory.

  Returns:
    a multi-status containing all of the logged status objects

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.